- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.GenerateForwarderFilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.forwarders/generateForwarderFiles#body.aspect_1)

**Full name**: projects.locations.instances.forwarders.generateForwarderFiles

Generates a forwarder's configuration files.

### HTTP request

`GET https://{endpoint}/v1beta/{name}:generateForwarderFiles`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The ID of the forwarder. Format: projects/{project}/locations/{location}/instances/{instance}/forwarders/{forwarder} |

### Request body

The request body must be empty.

### Response body

forwarders.generateForwarderFiles response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "config": string, "auth": string } ``` |

| Fields ||
|---|---|
| `config` | `string` Contents of file used by Forwarder containing config-related settings. |
| `auth` | `string` Contents of file used by Forwarder containing API credential(s). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.forwarders.generate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).